POST /Localization/File/

Stores the contents of the specified localization when sent as a file. This API call expects form files inside the request body.
 

Request

Method Request URI
POST /API/Localization/File/?cultureName=value&moduleId=value&name=value&isOverride=value&sessionId=value

URI Parameters

URI Parameter Description
cultureName The name of the culture to store the localization for.
moduleId The ID of the module the localization belongs to.
name The name of localization.
isOverride A flag indicating whether or not this is an override.
sessionId The ID of the session. Specifying via an Authorization request header instead is recommended.

Request Headers

Authorization: Bearer <Current session ID>

Request Body

This API call expects form files inside the request body. This API call only supports MIME multipart content - for more information see: https://www.w3.org/Protocols/rfc1341/7_2_Multipart.html

Response

Response Body

A Dundas.BI.WebApi.Models.LocalizationInfoData with the result, or a status code indicating the problem.